SU Project for Beginners

UKworkshop.co.uk

Help Support UKworkshop.co.uk:

This site may earn a commission from merchant affiliate links, including eBay, Amazon, and others.
Hi all.

Dave, or anyone else come to that.

If you want to take screen shots you might want to take a look at this.

http://www.wisepixel.com/

Instead of printing your whole screen, you just print or screen capture the bit you want.

I find it really helpful, and easy enough to use even for someone like me.
 
Thanks Gary.

FWIW, Wink will let you select the area you want to capture, too. I set it to do the whole screen for this tutorial so that the VCB and toolbar buttons would be visible.

I started playing with Camstudio last night and it will do the same. AVIs get real big real fast but if youtube will take them I guess that's alright.
 
Alright, we've got the armoire drawn and it meets with 'er indoors approval and she's expecting us to build it now. We need some working drawings to print off and take to the shop.

There are a number of ways to do this but this is how I do it. I copy components out away from the model and move those copies around to explode as needed. Then I add dimensions and notes to remind me of what I have to do. Since I've spent this time building, there are some things I know are standard and might not dimension just to avoid clutter.

I make views of assemblies or specific parts as I feel the need. Each view gets a page so that I can easily come back and see it again simply by clicking on the page tabs.

Here are some examples of drawings I made for the armoire.

First, the base assembly. I exploded the parts with the Move tool. I don't put dimensions all parts. The legs are all the same so dimensioning one should be enough. I also don't dimension small details such as the mortises or the chamfers. A note about the chamfers gives enough information.

working0.jpg


For small details I'll make another copy and zoom in so the dimensions can be read.

working1.jpg


Some things work better with a 2D view or at least we don't need to see them in 3D. The drawing for the corner blocks is fine in 2D. I made four copies and laid them out with saw kerf allowances so I could figure out how much wood I'd need to make them. In this case I added a wood grain texture, too. This is basically to show the direction the grain should run on the parts. The grain direction would be understood from the size of the board I drew under the blocks so the texture wouldn't be needed.

working2.jpg


For the side panels I copied them out and laid them next to each other. I left saw kerf allowance between them and laid them so their front edges are together. This shows me I can get the side panels out of a 48" wide ply panel. I would cut to the outside dimensions, cut the grooves and rebates and then separate the sides by cutting down the middle.

I didn't do it for this drawing but I would normally dimension the location of the grooves. Rebate widths and all depths would be given in notes rather than dimensoins.

working3.jpg


Finally, there is a basic cutlist Ruby script that works pretty well. The dimensions are given as x,y,z and so you'd need to do a bit of adjusting to make a good list. It generates a CSV file (comma separated values) which can be opened in Excel and edited as needed. Here's a text version of section of the cutlist for the base.

Part #,Description,Width(X),Depth(Y),Height(Z),Layer
1-1, Base Corner Block,~ 4 61/64",~ 4 61/64",3/4", Base Assembly
1-2, Base Corner Block,~ 4 61/64",~ 4 61/64",3/4", Base Assembly
1-3, Base Corner Block,~ 4 61/64",~ 4 61/64",3/4", Base Assembly
1-4, Base Corner Block,~ 4 61/64",~ 4 61/64",3/4", Base Assembly
2-1, Base Front Rail,34",3/4",3 1/2", Base Assembly
3-1, Base Leg,1 3/4",1 3/4",7", Base Assembly
3-2, Base Leg,1 3/4",1 3/4",7", Base Assembly
3-3, Base Leg,1 3/4",1 3/4",7", Base Assembly
3-4, Base Leg,1 3/4",1 3/4",7", Base Assembly
4-1, Base Rear Rail,34",3/4",3 1/2", Base Assembly
5-1, Base Side Rail,3/4",23",3 1/2", Base Assembly
5-2, Base Side Rail,3/4",23",3 1/2", Base Assembly

If you need the cutlist script copy the following text and save it as CutList.rb in the Plugins folder of SU.

#-----------------------------------------------------------------------------
#
# Copyright 2005, CptanPanic
# Heavily Based on ComponentReporter.rb, Copyright 2005, TIG
#
# Permission to use, copy, modify, and distribute this software for
# any purpose and without fee is hereby granted, provided something the above
# copyright notice appear in all copies.
#
# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#
#-----------------------------------------------------------------------------
#
# Name : CutList.rb
#
# Type : Tool
#
# Description : Makes a cutlist based on all components in mode.
#
# Menu Item : Plugins -> Generate CutList
# Context-Menu: None
#
# Author : CptanPanic
#
# Usage : Call script using Plugins menu, and file name *-CutList.cvs is created in the model's
# folder. It is readable by text editors, and cutlist programs like CutList Plus.
#
# Date : December 2005
#
# Version : 1.0 Initial Release.
#
#-----------------------------------------------------------------------------

### = TIG tweaking 20/12/05 ###

###############################

require 'sketchup.rb'

### do class

class Reporter

### do def

def Reporter::components

model = Sketchup.active_model
### start undo...
model.start_operation "undo"
entities = model.entities
mname = model.title

### show VCB and status info...
Sketchup::set_status_text(("CUTLIST PLUS..." ), SB_PROMPT)
Sketchup::set_status_text(" ", SB_VCB_LABEL)
Sketchup::set_status_text(" ", SB_VCB_VALUE)

### check model...
mpath = Dir::pwd
if mpath == ""
UI.beep
UI.messagebox("You must save the 'Untitled' new model \nbefore making a Component Report !\nExiting... ")
return nil
end

### setup list... ### do it instance by instance as layers might differ... TIG
clist = []
for c in entities
if c.typename == "ComponentInstance"
name = " "+(c.definition.name) ### allows names with - + at start etc
boundingBox = c.bounds
dims = [ boundingBox.width.to_s,boundingBox.height.to_s,boundingBox.depth.to_s ]
layer = " "+(c.layer.name) ### allows names with - + at start etc
clist = clist.push([name,dims[0],dims[1],dims[2],layer])
end#if
end#for c
clist = clist.sort
###

### if no components exit...
if not clist[0]
UI.beep
UI.messagebox("No Components available to make a Component Report !\nExiting... ")
return nil
end#if
###

### write to csv file...
namecsv = mpath + "/" + mname + "-CutList.csv"
file = File.new(namecsv,"w")
file.puts("Part #,Description,Width(X),Depth(Y),Height(Z),Layer\n") ### title ###
i = 1
ii = 1 ###
ix = ""
cx = "" ###
for c in clist
i = i + 1 if c[0] != cx and cx != ""
ii = 1 if c[0] != cx
ix = " "+i.to_s+"-"+ii.to_s ### avoids 'date' format
file.puts(ix+","+c[0]+","+c[1]+","+c[2]+","+c[3]+","+c[4])
### gives sub-part numbers to same named compos; last = total
ii = ii + 1 ###
cx = c[0] ###
end#for c
file.close
UI.messagebox("CutList written into: \n\n" + namecsv + " \n")
###
### commit undo...
model.commit_operation

end#def components

end#class

### do menu

if( not file_loaded?("CutList.rb") )

add_separator_to_menu("Plugins")
UI.menu("Plugins").add_item("Generate CutList") { Reporter.components }

end#if

file_loaded("ComponentReporter.rb")

###
 
Dave, cracking stuff as usual. I love the exploded view with the notes. How do you turn off the bacground so it's white ? The other thing which is driving me nuts is pages. If you have a simple model with different views on their own page and then say add dimensions to 1 page, how do you stop it appearing on all the others ? I found the section tool by accident, thought this is terrific , tried to make a new page showing just the section and bingo, except everything else was mucked up. Ahhhhhhhh. Why is there an Update option on the page tab (under rightclick) and another on page manager ? And if you click this one it gives you another menu with update again.
Still, everything else is the dogs ...........
Thanks again
John McM
 
John, the quick answer to your questions is "Layers". Put the dimensions on a layer and turn the layer off in the pages where you don't want to see it. In the case of this armoire, I did not put dimensions and text on layers. I just copied the parts to other areas of the model space and limited the view before setting the page. Here's an overall view of the model at this point.

overallview.jpg


The background was set to white under Window>Model Info>Colors. I didn't have the ground and sky turned on as is the default case in Google SketchUp. The earlier views with the greenish background was set by clicking the little square to the left of the label called Background. Uncheck Sky and Ground to get rid of them.

As far a the sections go, you need to make sure you don't update Sections when updating the page. Right click a page tab and choose Page menu. Select the page you want to update from the list and click Update. Uncheck the things you don't want to change.

I hope that makes sense.
 
Yes got it now Dave, as usual the fault lies with me. SU really is terrific. Tourguide slideshow is amazing when you include a section of your model and a relatively slow transition. Thanks again
John McM
 
And you all thought I was finally finished. I've got two more topics to cover. Please bear with me.

First, lets talk about Nested Components. These are components that lie inside a larger component. In the armoire model, each of the five components that make up a drawer are nested inside a "drawer component. The same applies to the doors.

SketchUp has an accessory called Outliner (Window>Outliner) that gives a list of all the components in your model. Here's part of the outliner for the armoire.

outliner1.jpg


Notice I have selected the left door component and it is highlighted in the Outliner. I could have clicked on a component in the Outliner and it would have been highlighted in the drawing as well. Also note that under "door assembly" we have a list of the components that make up the door assembly. Those are nested components

The outliner is handy when your model gets to be very complex because it lets you see the relationship of components to each other. You can always add nesting components to a component if you want. We're going to do that when we make the knobs.

Knobs

I'm going to draw the knobs and install them on the armoire. This takes much longer to show than actually do. I started out with some construction lines to locate the centers of the knobs. You'll see I've only located points for one door and one of each of the drawers. Since these are components, I only need to edit one of each of them to have the work done in all of them.

ArmoireKnobs0.jpg


I selected one door to edit, drew a circle which will be the path for Follow Me and I drew a plane to work on because I'm going to use a Bezier curve to define most of the profile of the knob. The size of the circle and the plane aren't critical. I also added some construction lines as guides and a line on the centerline of the knob. The weird blue stuff in the circle indicates that there are two faces in the same plane and the video card isn't quite sure what to do with them. It's no big deal for us right now.

ArmoireKnobs1.jpg


I drew the profile of the knob using the Bezier tool. I set the degree to 4 before proceeding. I also added a short line between the end of the curve and the door to complete the profile.

ArmoireKnobs2.jpg


I deleted the waste. You can see a second knob profile in the background. that one is being drawn in the other door component.

ArmoireKnobs3.jpg


Select the circle.

ArmoireKnobs4.jpg


Get the follow Me tool.

ArmoireKnobs5.jpg


Click on the profile and presto! A knob. It's blue which means it is inside out so we'll fix that. I selected the a surface on the knob and then, from the context (right click) menu selected Reverse faces.

ArmoireKnobs6.jpg


ArmoireKnobs7.jpg


I selected that surface again, right clicked and chose Orient faces. I could have selected the entire knob and reversed all of the faces but I wanted to show both operations. Sometimes you have a mix of front and back faces and it is easier to use Orient faces in a case like that.

ArmoireKnobs8.jpg


ArmoireKnobs9.jpg


I softened the circle on the end of the knob.

ArmoireKnobs10.jpg


Then I deleted the circular path from the follow Me operation.

ArmoireKnobs11.jpg


And made the knob a component.

ArmoireKnobs13.jpg


Two knobs are done and they are in place. It's time to make knobs for the drawers.

With the knob selected I click Copy from the toolbar at the top of the screen.

[imghttp://img.photobucket.com/albums/v506/weekender410/SketchUp%20Demos/ArmoireKnobs15.jpg[/img]

I select one of the drawer components for editing and paste the knob.

ArmoireKnobs16.jpg


ArmoireKnobs17.jpg


Then I move the knob into place

ArmoireKnobs18.jpg


And copy the knob to the other end with Ctrl+Move tool. Once the first knob is in place I can start the Move tool on the vertical construction line and drag the knob to the other construction line.

ArmoireKnobs20.jpg


I repeated that whole procedure for one of the large drawers and I'm finished.

ArmoireKnobs25.jpg


Since I was working inside components I only needed to edit one of each to complete the work on all.
 
Hi Dave,

We haven't talked before but I have been avidly following one of your Sketchup 'tutorials' that you posted some months ago for constructing an armoire. I have to say that this has been truly excellent and made me realise what I can (or will be able to) to with the package.

Now for the problem....

I have got as far as the point where you are apply the top cornice and using the 'intersect with model' routine. I am able to draw all the cornice, then draw the intersect plane for the mitre, select it and make the intersection. This all works fine but the problem I am having is then getting rid of the waste. The program seems to ignore the new intersection and so when I go to delete part of a line, some or all of the component disappears with it. I have trield all sorts of combinations but just can't get it to work.

I am assuming that in your tutorial you overlap the two cornice pieces (at right angles to each other) prior to intersecting. This is what I have been doing but the intersect only appears to apply to one of the two components.

Any ideas??

Also, if I have an object on the screen (say a rectangular box) and a
bring another object up to it so that they are touching I don't seem to be able to subsequently move either one without affecting the geometry of the other. If the objects are both defined as components then I can seperate them but not if they are not defined components. Is there any way around this?

Many thanks in advance and keep up the excellent work!!

All the best,

Paul.
 
100wheeler":32gfi1z2 said:
Hi Dave,

We haven't talked before but I have been avidly following one of your Sketchup 'tutorials' that you posted some months ago for constructing an armoire. I have to say that this has been truly excellent and made me realise what I can (or will be able to) to with the package.

Paul, thank you. I'm glad it is helping you out.

Now for the problem....

I have got as far as the point where you are apply the top cornice and using the 'intersect with model' routine. I am able to draw all the cornice, then draw the intersect plane for the mitre, select it and make the intersection. This all works fine but the problem I am having is then getting rid of the waste. The program seems to ignore the new intersection and so when I go to delete part of a line, some or all of the component disappears with it. I have trield all sorts of combinations but just can't get it to work.

I am assuming that in your tutorial you overlap the two cornice pieces (at right angles to each other) prior to intersecting. This is what I have been doing but the intersect only appears to apply to one of the two components.

Any ideas??

If you've made the cornice piece a component, you need to be editing the component when you draw the cutting plane. Otherwise the Intersect with model has no affect on the component.

In the tutorial I did not overlap the cornice pieces. I drew one side first, cut the mitre with the cutting plane, copied it to the opposite side and mirrorered it and then moved on to the front piece. The front piece is actually a copy of one of the side pieces. I rotated it and moved it into place as needed to get the mitre to fit at the one end. (Copy the right side piece and rotate it 90° and move it to bring its mitred end up to the mitred end on the left hand side piece.) That copy of the component needs to be made Unique before editing it. Then I used Push/Pull to adjust the length of the front piece and cut the miter on the opposite end. With the front piece opened for editing, running Intersect with model would get you the lines for trimmming from the right side piece.




Also, if I have an object on the screen (say a rectangular box) and a
bring another object up to it so that they are touching I don't seem to be able to subsequently move either one without affecting the geometry of the other. If the objects are both defined as components then I can seperate them but not if they are not defined components. Is there any way around this?

No. That's the whole point. Geometry is connected to other geometry automatically unless you make components or groups. Actually, only one of the boxes would need to be defined as a component or a group to keep the two from sticking together. Is there a situation where making the boxes into components is a problem?

Many thanks in advance and keep up the excellent work!!

All the best,

Paul.

Glad to help.
 
Dave,

What a great help! Having read your reply, I performed the intersection first time! I should have asked earlier - I probably spent 6-7 hours trying to get the thing to work....

As for the component geometry, as you say there is no problem in generating lots of components. I guess I didn't really understand the importance.

Anyway, thanks again for your help. I will continue to follow the tutorial to it's conclusion. Hopefully I can get there on my own....

Regards,

Paul.
 
Hi Dave,
First of all I just wanna say thanks for such a great tutorial!
I have been with you every step of the way up until now,
I'm having problems re-sizing the drawers.
Whenever I drag a left to right selection box, it doesnt pick up and highlight anything at all?
But it does select the whole drawer front when I want it to
Is there something obvious that I havent done here?
 
Matt,, unfortunately I don't have much time at this moment to fully answer your question. I will later this evening.

If you see this before I get back to write a longer reply, tell me, when you do the selection are you doing it to a component that is open for editing or are you starting with nothing selected?
 
I have tried both and neither seem to want to work.
I have tried again from scratch with a new drawer,
before I got too far along with it I tried it and I think [-o< that it will work
 
I think this tutorial has run its course. If no one cares I am going to delete the images from the photobucket album to make room for other images. I'll do this on Thursday if I everyone has finished with it.

Cheers.

Dave
 
Dave,

If at all possible please don't do that. I think that this is a very good resource, and deserves to be kept. Could you not open another Photobucket account if you need the space?
 
[-o< [-o<
Please Dave
Dont do it as I still have to try and work my way through it and as Nick has said, it is a great resource. :)
 
Back
Top